--[[
##########################################################
Inked be keivamp
##########################################################
LOCALIZED LUA FUNCTIONS
##########################################################
]]--
local _, Inked = ...

local G, F, C, L = unpack(select(2,...))
local function TestFunc()
if InkedChar.quest ==  false  then return end

local function SetQuestFrame()
	ObjectiveTrackerFrame:SetScale(1.05)
	--ObjectiveTrackerFrame:ClearAllPoints() 
	ObjectiveTrackerFrame:SetPoint("TOPLEFT", Minimap,"TOPLEFT", -175, -180)
	ObjectiveTrackerFrame.SetPoint = function() end

end


local rw = ObjectiveTrackerFrame.HeaderMenu.MinimizeButton
	rw:ClearAllPoints()
	rw:SetPoint("TOPLEFT", ObjectiveTrackerFrame.HeaderMenu, "TOPLEFT", -150,-5)
	rw:SetScale(1.3)

local vm = ObjectiveTrackerFrame

local function moveQuestObjectiveItems(self)
local a = {self:GetPoint()}
       
		self:ClearAllPoints()
		self:SetPoint("BOTTOM", a[2], "BOTTOM", -140, -5)
		self:SetScale(1.1)
		self:SetFrameLevel(0)
end

	
local qitime = 0
local qiinterval = 1

hooksecurefunc("QuestObjectiveItem_OnUpdate", function(self, elapsed)
   	qitime = qitime + elapsed
	moveQuestObjectiveItems(self)
    qitime = 0
end)


    if IsAddOnLoaded("Blizzard_ObjectiveTracker") then
        hooksecurefunc("ObjectiveTracker_Update", function(reason, id)
            if vm.MODULES then  
                for i = 1, #vm.MODULES do  
					vm.MODULES[i].Header:SetSize(25,25)				
		            vm.MODULES[i].Header.Background:SetAtlas(nil)
		            vm.MODULES[i].Header.Text:SetFont(STANDARD_TEXT_FONT, 18,"OUTLINE")
		            vm.MODULES[i].Header.Text:ClearAllPoints()
		            vm.MODULES[i].Header.Text:SetPoint("Left", vm.MODULES[i].Header, 50, 0)
		            vm.MODULES[i].Header.Text:SetJustifyH("Left")
	            end
	        end
	    end)
	end
     

local QuestLevelPatch = {}

function SetBlockHeader_hook()
	for i = 1, GetNumQuestWatches() do
		local questID, title, questLogIndex, numObjectives, requiredMoney, isComplete, startEvent, isAutoComplete, failureTime, timeElapsed, questType, isTask, isStory, isOnMap, hasLocalPOI = GetQuestWatchInfo(i)
		if ( not questID ) then
			break
		end
		local oldBlock = QUEST_TRACKER_MODULE:GetExistingBlock(questID)
		if oldBlock then
			local oldHeight = QUEST_TRACKER_MODULE:SetStringText(oldBlock.HeaderText, title, nil, OBJECTIVE_TRACKER_COLOR["Header"])
			local newTitle = "["..select(2, GetQuestLogTitle(questLogIndex)).."] "..title
			local newHeight = QUEST_TRACKER_MODULE:SetStringText(oldBlock.HeaderText, newTitle, nil, OBJECTIVE_TRACKER_COLOR["Header"])

		end
	end
end
hooksecurefunc(QUEST_TRACKER_MODULE, "Update", SetBlockHeader_hook)


    local vmboss = CreateFrame("Frame", nil)
    vmboss:RegisterEvent("PLAYER_ENTERING_WORLD")
    vmboss:RegisterEvent("INSTANCE_ENCOUNTER_ENGAGE_UNIT")
    vmboss:RegisterEvent("UNIT_TARGETABLE_CHANGED")
    vmboss:RegisterEvent("PLAYER_REGEN_ENABLED")
    --vmboss:RegisterEvent("UPDATE_WORLD_STATES")

    local function bossexists()
	    for i = 1, MAX_BOSS_FRAMES do
		    if UnitExists("boss"..i) then
			    return true
		    end
	    end
    end

    vmboss:SetScript("OnEvent", function(self, event)
        local _, instanceType = IsInInstance()
        local bar = _G["WorldStateCaptureBar1"]
        
	    if instanceType=="raid" and bossexists() then
		    if not vm.collapsed then
			    ObjectiveTracker_Collapse()
		    end

	    elseif instanceType=="arena" or instanceType=="pvp" then
            if not vm.collapsed then
			    ObjectiveTracker_Collapse()
		    end

		elseif bar and bar:IsVisible() then
		    if not vm.collapsed then
			    ObjectiveTracker_Collapse()
		    end

	    elseif vm.collapsed and instanceType=="raid" and not InCombatLockdown() then
		    ObjectiveTracker_Expand()
		
	    end

    end)

	if InkedChar.MoveAllFrames ==  true then
		--ObjectiveTrackerFrame.HeaderMenu.MinimizeButton:RegisterForDrag("LeftButton");
		--ObjectiveTrackerFrame:SetUserPlaced(true)
	end
	ObjectiveTrackerFrame:HookScript("OnUpdate", SetQuestFrame)
end
G:RegisterEvent("PLAYER_LOGIN",TestFunc)

